;This procedure clears the roi.
;Revision History
; ASB  05Sep96 First version, transfered code from analyze_roi
; ASB  20Jul98 Added logic to change smode.
; ASB  30Jul98 Added common roistats.
; ASB  11Aug98 Fixed bug in clearing low resolution ROIS.
;              Added code to change button sensitivity.
; ASB   9Oct98 Changed code to change sensitivity of buttons.
pro clear_all
COMMON defroi
COMMON roistats
wins=[s.gwins,s.mwins]
backing=[s.gbacking,s.mbacking]

;Inactivate test spectrum, Clear all, and SAVE ROI buttons
;widget_control,s.run_ids(1),sensitive=0
widget_control,s.optbut_ids(1),sensitive=0 ;Clear all
widget_control,s.save_ids(3),sensitive=0 ;Save ROI

;Clr list of subscripts
t32=0
widget_control, s.subs, set_uvalue=[-1] 
num=0
;Restore windows
FOR kk = 0,n_elements(wins)-1 DO BEGIN
    wset,wins(kk)
    DEVICE, copy = [0,0, !d.x_size, !d.y_size, 0, 0, backing(kk)]
ENDFOR
s.npts = 0
;reset statistics

stats={metstats}
count=0
widget_control,s.num1_w,set_value=count
widget_control,s.but_ids(2),sensitive=0 ;make statitstics button window insensitive
IF xregistered('mkroistats') THEN widget_control,stats_w,/destroy

;Change s.smode to pixel
IF s.smode THEN BEGIN
    s.smode=0
    widget_control,s.prspec_w,get_uvalue=labels
    widget_control,s.prspec_w,set_value=labels(s.smode)
    update_specplot
ENDIF

END
