;  3Mar98 QIN Added q_xmin,q_xmax,q_y_min,q_ymax
;             in the settings button to control the scale of 
;             the spectrum in the edit window. 
; 14Apr98 QIN Added q_naa_max to control the scale for NAA/CHO/LAC/PICK wins.
; 15Apr98 QIN Added jhd in common settings: jhd = -9 <-- Jeff Peak
; 24Apr98 Qin Added common blocks mri_act,roi_spec_in, and dum
; 14Jul98 asb Added table1, table2l and tmode to common block
;             settings. 
; 17Jul98 asb Commented out common dum.
; 20Jul98 asb Deleted common dum, added last_pos to posdata.
; 23Jul98 asb Changed common noise.
; 27Jul97 asb Changed inos to ino in COMMON mets.
; 10Aug98 asb Removed t256 from roistats.
; 27Aug98 asb Added elements to common mri_act.
;             Initialize rmsnoise.
; 28Aug98 asb Combined btnrow1, btnrow2, and btnrow3 into array
;             btnrow.
;             Combined bt11, bt21, and bt31 into array bt1.
;             Combined bt12, bt22, and bt32 into array bt2.
;             Combined txt1_w, txt2_w, and txt3_w into array txt_w.
; 14Sep98 asb Added common freqdomain.
; 15Sep98 asb Added COMMON initcsi.
; 16Sep98 asb Fixed bug in roistats.
;             Changed name of COMMON freqdomain to mrsidata.
; 18Sep98 asb Moved last_ppm_lf, last_ppm_rt, and max_spec_val from
;             initcsi to dsettings.
; 980920  ASB Removed references to file_type.
; 981009  ASB Added COMMON td_widget, made other modifications
;             necessary for time domain analysis.
; 981014  ASB Added elements to common dsettings.
; 990302  ASB Added elements to common roistats.
;             Added some initializtion code.
; 990401  ASB Added h20 to common mets.
; 990406  ASB Added h20 to stattitles
; 990811  ASB Moved initialization of mri here from analyze_roi.
;             Changed mri's data type to int.
;             Added bswap_w and bswap to COMMON dsettings.
;             Added initialization of bswap_w and bswap. 
; 990908  ASB Changed h2o_shift from 4.65 to 4.68.
; 990910  ASB Added zap_td to common mrsidata.  Initialized zap_td.
; 991499  ASB Changed initialization of stattitles.
; 991222  ASB Added initialization of tpd1menu_w and tfilter1_w
; 000215  ASB Added code to handle choice of metabolite map to display.
;             Added shim header.
; 000315  ASB Added common ctable.
; 000525  ASB Lengthened stats, stattitles.

COMMON ctable,coffset1,coffset2,dispflag
COMMON head_inf,inf_head
COMMON posdata,positions, mri, new_value, cur_pos,last_pos,backup
COMMON defroi,s,version
COMMON update,twinfl,twinnl,twinnr,twinfr,bwinfl,bwinnl,bwinnr,bwinfr
COMMON editpeakmp, elabel, slider, vx, vy, bgn, lastid
COMMON noise,rmsnoise,totmask,totnum
COMMON mask,mask_s
COMMON grid,grid,index
COMMON sumfile,sumfile,append,base_w,message_w,new_name_w,new_name1_w,old_name_w,$
  buttons_w,done_w
COMMON rsettings,rsetbase_w,setftype_w,rsetquit_w,sprmbase_w,$
  sprm1base_w,sprm1value_w,sprm1label_w,sprm2base_w,sprm2value_w,$
  sprm2label_w,sfilter_w,spdmenu_w,tprmbase_w,tprm1base_w,tprm1value_w,$
  tprm1label_w,tprm2base_w,tprm2value_w,tprm2label_w,tfilter_w,tpdmenu_w,$
  row4a_w,row6_w,tprm10base_w,tprm11base_w,tprm11value_w,$
  tprm11label_w,tprm12base_w,tprm12value_w,tprm12label_w,tfilter1_w,tpd1menu_w,$
  titles,param_names,setspfilt_w,domain_w,etl_w,echo_w,skip_w
COMMON dsettings,dsetbase_w,setcolort1_w,setcolort2_w,setcolort3_w,$
  lfspec_w,rtspec_w,mxspec_w,max_cre_w,max_cho_w,max_naa_w,max_lac_w,$
  max_ino_w,min_water_w,max_water_w,min_b0_w,max_b0_w,max_ino,min_water,$
  max_water,min_b0,max_b0,pdmenu1_w,pdmenu2_w,pdmenu3_w,pdmenu4_w,$
  pdmenuet_w,pdmenudom_w,pdmenucomp_w,plotparms,$
  max_cre,max_cho,max_naa,max_lac,last_ppm_lf,last_ppm_rt,max_spec_val,$
  table1,table2,table3,tmode,dsetquit_w,row31_w,mettitles,spectitles,$
  max_w,min_w,max_v,min_v,bswap_w,bswap,win1l_w,win2l_w,win3l_w,win4l_w,$
  winet_w,windom_w,wincomp_w
COMMON defaults,mrimax,mrimin,roivolmin,ct,binwidth,roiname,crechosep,chonoi,naanoi,$
  sapd_defs,tapd_defs,tapd1_defs,sapd,tapd,tapd1,filtsym,tdomain,etl,echo,skip
COMMON seg,seg_ims,slice_maps,slab_maps,disp_w,drow1_w,drow2_w,drow3_w,dquit_w,$
  nseg,files,sb_w,sbsl_w,sbcl_w,squit_w,nsl,nclass,sl_sl,seg_stat,dir
 
COMMON mri_act,filename1,filename2,filename3,bt1,bt2,btnrow,txt_w,imtype
COMMON mets, naa, cho, cre, lac, ino, h2o, naa_shift, cho_shift, cre_shift,$
lac_shift,ino_shift, h2o_shift

COMMON roistats,stats_w,name_w,width_w,num_w,hide_w,roibase_w,pixvalues_w,$
  stats,width,t32,count,statstring1,statstring2,stattitles,ir,roivalues_w,ctitles_w

COMMON mrsidata,fd_dat,csi_dat,td_dat,dry_dat,fit_dat,xm,naa_td,cho_td,$
  cre_td,zap_td,fd_dat1,csi_dat1,td_dat1
COMMON initcsi,rawdata_path,sweep_width,fid_len,spc_len,echo_pt,spec_freq,pe_dim,$
  sp_dim,paxis,ref_pos,csi_file,last_x_pos,last_y_pos,cur_slice,mn,mx,tdflag,$
  echo_pt1,bsflag

COMMON header,patient,study,ovs,aps,ptsize,shim

COMMON td_widget,tdplot,sttime_w,cttime_w,ectime_w,tot_w,com_w,nfit_w,cur_w,$
  svd1_w,root_w,svd2_w,dry_w,fit_w,active_w,quit_w

max_w=lonarr(3)
min_w=lonarr(3)
bswap_w=lonarr(3)
bswap=[0,0,0]
max_v=[100,100,100]
min_v=[0,0,0]
tdflag=0
patient = { patient_header,  $
            name:   '  Last Name First  ',        $
            ID:     'NIH#...', $
            age:    '??',  $
            sex:    '?',    $
            radiologist:    '?',    $
            Hx:     'up to 61 letters'      $
          }

study= { study_header,      $
         number:  '??',   $
         site:   '................................SIGNA 5.x................................',    $
         date:   '??-??-??',    $
         time:   '??:??',        $
         routine:'  up to 21 letters    ',     $
         plane:  'Plane',        $
         desc:   'up to 21 letters',     $
         operator:       'operator',     $
         TR:     2000.0, $
         TE:     272.0,  $
         FOV:    150.0,  $
         PSD:    'mpcsi       ',        $
         x_dir:  'X Direction',  $ 
         filename: 'filename', $
         slice: '1'$
       }

ovs = { ovs_header,  $
        thick: 30,      $
        b1: 45, $
        b2: 45, $
        b3: 45, $
        b4: 45, $
        t1: 45, $
        t2: 45, $
        t3: 45, $
        t4: 45, $
        angle: 0,       $
        slabpos:        0       $
      }

aps = { aps_header,  $
        xshim: 0,       $
        yshim: 0,       $
        zshim: 0,       $
        ws: 0,  $
        sat: 0  $
      }

shim = {shim_header,$
        x1:0.,$
        x2:0.,$
        x3:0.,$
        x4:0.,$
        y1:0.,$
        y2:0.,$
        y3:0.,$
        y4:0.,$
        z1:0.,$
        z2:0.,$
        z3:0.,$
        z4:0.,$
        flag:0.,$
        stepx:0.,$
        stepy:0.,$
        stepz:0.,$
        nstep:0.$
       }
ptsize=2
rmsnoise=0
imtype=replicate(-4,3)
bt1=lonarr(3)
bt2=lonarr(3)
btnrow=lonarr(3)
txt_w=lonarr(3)
                                ;define parameter names
param_names=strarr(2,10)
param_names(*)  ='              '
param_names(0,4)='Beta:         '

param_names(0,5)='Mu:           '
param_names(1,5)='Beta:         '

param_names(0,6)='Beta:         '

param_names(0,7)='Alpha:        '

param_names(0,8)='Plateau width:'
param_names(0,9)='Plateau width:'

                                ;define titles
titles=['Rectangular',$
        'Bartlett   ',$
        'Hann       ',$
        'Hamming    ',$
        'Gaussian   ',$
        'Fermi      ',$
        'Chebyshev  ',$
        'Exponential',$
        'Cosine     ',$
        'Cosine^2   ']
stats={metstats,cre_av:0.,$              ;structure to hold roi statistics
       cre_sd:0.,$
       cho_av:0.,$
       cho_sd:0.,$
       naa_av:0.,$
       naa_sd:0.,$
       lac_av:0.,$
       lac_sd:0.,$
       ino_av:0.,$
       ino_sd:0.,$
       h2oI1_av:0.,$
       h2oI1_sd:0.,$
       h2oI2_av:0.,$
       h2oI2_sd:0.,$
       h2oM1_av:0.,$
       h2oM1_sd:0.,$
       h2oM2_av:0.,$
       h2oM2_sd:0.,$
       h2oP1_av:0.,$
       h2oP1_sd:0.,$
       h2oP2_av:0.,$
       h2oP2_sd:0.$
      }
print,tag_names(stats)
statstring1=''
statstring2=''
stattitles=['ROI Statistics (Frequency Domain)',$
            'ROI Statistics (Time Domain)',$
            'Pixel      Cho       Cre       Naa       '+$
            'Lac       Ino     H2O_I1    H2O_I2    H2O_M1    '+$
            'H2O_M2    H2O_P1    H2O_P2    Noise              ',$
            ' Pixel      Cho       Err       Cre       '+$
            'Err       NAA       Err     Chisqr             ']

lastid=-1
cur_pos=[0,0]
last_pos=[0,0]
last_ppm_lf=4.0
last_ppm_rt=0.0
max_spec_val=1000.
etl=1
echo=1
skip=1
naa_shift=2.023
cho_shift=3.25
cre_shift=3.05
lac_shift=1.33
ino_shift=3.53
h2o_shift=4.68

mri = intarr(256,256,3)  ; mri initialization
zap_td=replicate(1,32,32)

mettitles=['  NAA   ','Creatine','Choline ','Lactate ','Inositol',$
'Water I1','Water I2','Water M1','Water M2','Water P1','Water P2','   B0   ']

spectitles=['Long ','Short','Raw      ','Time     ','Frequency',$
            'Magnitude','Phase    ','Real     ','Imaginary']
plotparms=[0,2,0]

tpd1menu_w=0
tfilter1_w=0
;IF !d.n_colors EQ 16777216l THEN backup=bytarr(256,256,7)
IF !d.n_colors NE 256 THEN BEGIN & dispflag=1 & backup=bytarr(256,256,7) & ENDIF ELSE dispflag=0

spawn,'arch',foo
IF strpos(foo(0),'i686') EQ 0  THEN bsflag = 1 ELSE bsflag = 0

