;This program creates a dialog box to control the display of the
;sensitivity maps.
pro disp_sens_event,event
COMMON seg
COMMON defroi
COMMON posdata
CASE event.id OF
    sb_w(0):toggle,1            ;slab/slice button 1
        
    sbsl_w(0):ch_sl,1           ;slab/slice # 1

    sbcl_w(0):ch_sl,1           ;class # 1

    sb_w(1):toggle,2            ;slab/slice button 2
        
    sbsl_w(1):ch_sl,2           ;slab/slice # 2

    sbcl_w(1):ch_sl,2           ;class # 2

    sb_w(2):toggle,3            ;slab/slice button 3
    
    sbsl_w(2):ch_sl,3           ;slab/slice # 3

    sbcl_w(2):ch_sl,3           ;class # 3

    squit_w:BEGIN
        FOR nn=0,2 DO BEGIN
            widget_control,sbsl_w(nn),get_value=tmp
            nsl(nn,sl_sl(nn))=tmp
        ENDFOR
        widget_control,event.top,/destroy
    END
ENDCASE
END

pro disp_sens
COMMON seg
COMMON mri_act
;Make sensitivity maps, if necessary
IF seg_stat(1) EQ 0 THEN mk_sens_maps

disp_sens_w=widget_base(title='Choose sensitivity maps',column=1)
dummy=widget_base(disp_sens_w,row=1)
label=widget_label(dummy,value='Window 5:')
btitle=['Slab ','Slice']
sb_w=lonarr(3)
sbsl_w=lonarr(3)
sbcl_w=lonarr(3)

sb_w(0)=widget_button(dummy,value=btitle(sl_sl(0)),uvalue=0)
sbsl_w(0)=cw_field(dummy,title=' ',value=nsl(0,sl_sl(0)),/integer,/return_events)
sbcl_w(0)=cw_field(dummy,title='class',value=nclass(0),/integer,/return_events)

dummy=widget_base(disp_sens_w,row=1)
label=widget_label(dummy,value='Window 6:')
sb_w(1)=widget_button(dummy,value=btitle(sl_sl(1)),uvalue=0)
sbsl_w(1)=cw_field(dummy,title=' ',value=nsl(1,sl_sl(1)),/integer,/return_events)
sbcl_w(1)=cw_field(dummy,title='class',value=nclass(1),/integer,/return_events)

dummy=widget_base(disp_sens_w,row=1)
label=widget_label(dummy,value='Window 7:')
sb_w(2)=widget_button(dummy,value=btitle(sl_sl(2)),uvalue=0)
sbsl_w(2)=cw_field(dummy,title=' ',value=nsl(2,sl_sl(2)),/integer,/return_events)
sbcl_w(2)=cw_field(dummy,title='class',value=nclass(2),/integer,/return_events)

squit_w=widget_button(disp_sens_w,value='Quit')

widget_control,disp_sens_w,/realize
xmanager,'disp_sens',disp_sens_w,/modal
FOR kk=0,2 DO modify_widgets,kk
END

