pro display_seg_ims_event,event
COMMON seg
COMMON defroi
COMMON posdata
    
CASE event.id OF
    drow1_w:disp_im,0
        
    drow2_w:disp_im,1

    drow3_w:disp_im,2

    dquit_w:BEGIN
        widget_control,event.top,/destroy
    END
ENDCASE
END

pro disp_im,nn
COMMON seg
COMMON defroi
COMMON posdata
COMMON mri_act

n_slices=(size(seg_ims))(3)
CASE nn OF
    0:w_id=drow1_w
    1:w_id=drow2_w
    2:w_id=drow3_w
ENDCASE
widget_control,w_id,get_value=kk
imtype(nn)=-1
update_window,nn

IF kk GT 0 AND kk LE n_slices THEN BEGIN 
    nseg(nn)=kk
    IF files(0) NE 'Class volume' THEN BEGIN
        sfile=shorten_filename(files(kk-1))
    ENDIF ELSE BEGIN            ;class volumes
        sfile=files(1)+':'+strtrim(kk,2)
    ENDELSE
    widget_control,s.glabels_w(nn),set_value=sfile
    imtype(nn)=-1
    update_window,nn
ENDIF ELSE widget_control,w_id,set_value=nseg(nn)
END

pro display_seg_ims
COMMON seg
;Read in segmented images, if necessary
IF seg_stat(0) EQ 0 THEN rd_seg_ims
disp_w=widget_base(title='Choose segmented images',column=1)
drow1_w=cw_field(disp_w,title='Window 5: slice',value=nseg(0),/integer,/return_events)
drow2_w=cw_field(disp_w,title='Window 6: slice',value=nseg(1),/integer,/return_events)
drow3_w=cw_field(disp_w,title='Window 7: slice',value=nseg(2),/integer,/return_events)
dquit_w=widget_button(disp_w,value='Quit')
widget_control,disp_w,/realize
xmanager,'display_seg_ims',disp_w,/modal
END
