;This program filters the "good data" mask.
;REVISION HISTORY
; 981009 ASB First SCCS version. Original code by JWV.


function filter_mask,data,limit
s=size(data)
m=intarr(s(1),s(2))

; treshold the image

m(*,*)=0
m(where(data GE limit)) = 1

; find the number of neighbours

mx = shift(m,1,0)+shift(m,-1,0)+shift(m,0,-1)+shift(m,0,1)+$
  shift(m,1,1)+shift(m,-1,-1)+shift(m,1,-1)+shift(m,-1,1)

;Add points missing from mask that have 5 or more nieghboring points included.
ix=where(m LT 1 AND mx GT 4)
IF (ix(0) GT 0) THEN m(ix)=1

;Remove points present in mask that have 3 or fewer neighboring points included.
ix=where(m GT 0 AND mx LT 4)
IF (ix(0) GT 0) THEN m(ix)=0

RETURN,m
END
