function reseg,image
nclasses=max(image)
result=image
result(*)=0
FOR kk=1,6 DO BEGIN
    index=where(image EQ kk)
    CASE kk OF
        6:qq=6
        nclasses:qq=3
        1:qq=1
        2:qq=2
        else:qq=2
    ENDCASE
    IF index(0) NE -1 THEN result(index)=qq
ENDFOR

RETURN,result    
END

pro rd_seg_ims
COMMON seg
COMMON defroi
;Initialize array to contain segmented images
xres=256
yres=256
n_segs=23
n_slices=23
n_slabs=4
nclasses=3
sl=['001','002','003','004','005','006','007','008',$
    '009','010','011','012','013','014','015',$
    '016','017','018','019','020','021','022','023']
files(*)=''
seg_ims=bytarr(xres,yres,n_segs)
;Choose directory to read images from
file=pickfile(title='Choose segmented images')
widget_control,s.junk_w,/hourglass

spawn,'set dir = '+file+';set dir = $dir:h;echo $dir;',dir

FOR kk=0,n_segs-1 DO BEGIN
    file = 'I.'+sl(kk)
    filee=file+'e'
    fileo=file+'o'
    spawn,'if(-e ' +dir+ '/' +filee+ ') echo 1',fe
    spawn,'if(-e ' +dir+ '/' +fileo+ ') echo 1',fo
    spawn,'if(-e ' +dir+ '/' +file+ ') echo 1',f1
    IF fe(0) EQ '1' THEN BEGIN
        file=dir(0)+'/'+filee
        files(kk)=file
        tmpimage=rdsigna_seg(file=file(0))
        seg_ims(*,*,kk)=reseg(tmpimage)
    ENDIF ELSE IF fo(0) EQ '1' THEN BEGIN
        file=dir(0)+'/'+fileo
        files(kk)=file
        tmpimage=rdsigna_seg(file=file)
        seg_ims(*,*,kk)=reseg(tmpimage)
    ENDIF ELSE IF f1(0) EQ '1' THEN BEGIN
        file=dir(0)+'/'+file
        files(kk)=file
        tmpimage=rdsigna_seg(file=file)
        seg_ims(*,*,kk)=reseg(tmpimage)
    ENDIF
ENDFOR
seg_stat(0)=1
seg_stat(1)=0
;Initialize sensitivity maps
slice_maps=fltarr(32,32,nclasses,n_slices)
slab_maps=fltarr(32,32,nclasses,n_slabs)

RETURN
END
