function rdsigna,file=file,orig_size=orig_size
;	program to read signa image file
;	choose file to read
COMMON initcsi

IF keyword_set(file) THEN signa_file=file ELSE $
signa_file=pickfile()

;	open file
openr,unit,signa_file,/get

;Read size of header, image
head_inf=lonarr(4)
readu,unit,head_inf

;byteswap if linux box
IF bsflag THEN byteorder,head_inf,/lswap

;Allocate array to hold image
signa_image=intarr(head_inf(2),head_inf(3))

;Read image
point_lun,unit,head_inf(1)
readu,unit,signa_image
;	close file and return
close,unit
free_lun,unit

;byteswap image if linux box
IF bsflag THEN byteorder,signa_image

;Rotate image to radiological orientation

signa_image=rotate(signa_image,7)
IF NOT keyword_set(orig_size) THEN signa_image=rebin(signa_image,256,256)
return,signa_image
end
