pro pictfile_event,event
COMMON pictfile,pictfile,old_pictfile,buttons_w,new_name_w,$
  done_w,base_w,message_w

print,new_name_w,buttons_w,done_w
print,tag_names(event)
print,event

CASE event.id OF
    new_name_w: BEGIN
        widget_control,new_name_w,get_value=filename
        widget_control,new_name_w,set_uvalue=filename        
        pictfile=filename(0)
    END
    
    buttons_w: BEGIN
        widget_control,buttons_w,get_value=choice
        IF choice EQ 0 THEN BEGIN
            widget_control,new_name_w,/sensitive
            widget_control,new_name_w,get_uvalue=dummy
            widget_control,new_name_w,set_value=dummy
        ENDIF ELSE BEGIN
            widget_control,new_name_w,sensitive=0
            widget_control,new_name_w,set_value='                  '
        ENDELSE
    END
    
    done_w: BEGIN
        widget_control,buttons_w,get_value=choice
        IF choice EQ 1 THEN BEGIN
            widget_control,base_w,/destroy
        ENDIF ELSE BEGIN
            spawn,getenv('SPECHOME')+'/qfile '+pictfile,res
            IF res(0) NE 1 THEN BEGIN 
                widget_control,base_w,/destroy
            ENDIF ELSE BEGIN
                spawn,'set foo = '+pictfile+';echo $foo:t',filename
                filename=filename(0)
                message=['File '+filename+' exists!            ',$
                         'Rename or choose option before clicking Done.']
                widget_control,message_w,set_value=message
            ENDELSE
        ENDELSE
    END
ENDCASE
END


pro rename_pictfile
;This widget warns against overwriting a pict file
COMMON pictfile,pictfile,old_pictfile,buttons_w,new_name_w,done_w,base_w,message_w
  
base_w=widget_base(title='WARNING',/column)

;get tail
spawn,'set foo = '+pictfile+';echo $foo:t',filename
filename=filename(0)

message=['File '+filename+' exists!            ',$
            'Rename or choose option before clicking Done.']
  
message_w=widget_text(base_w,value=message,ysize=2,xsize=50)
choose_w=widget_base(base_w,/row)
buttons_w=cw_bgroup(choose_w,/exclusive,$
                     [ 'Name new PICT file ',$
                       'Overwrite old PICT file'])
subbase_w=widget_base(choose_w,/column)
new_name_w=widget_text(subbase_w,value=filename,xsize=50,ysize=1,/editable)
done_w=widget_button(base_w,value='Done')                   

widget_control,base_w,/realize
widget_control,new_name_w,get_value=dummy
widget_control,new_name_w,set_uvalue=dummy
widget_control,buttons_w,set_value=0
xmanager,'rename_pictfile',base_w,/modal,event_handler='pictfile_event'
RETURN
END
