;This program reads a .pos file.
;REVISION HISTORY
; 981009 ASB Removed code from analyze_roi.



pro restore_pos
COMMON defroi
COMMON posdata
                                ;If no filename has been chosen, pick filename
widget_control,s.dfilel_w,get_uvalue=stat,/hourglass            
IF stat EQ 'init' THEN BEGIN
    tmp=read_raw_name()
    IF tmp EQ 0 THEN readandrecon
ENDIF ELSE tmp = 0

IF tmp THEN BEGIN
ENDIF ELSE BEGIN

                                ;If no rawfile has been read, read new
                                ;rawfile
    IF stat EQ 'new' THEN BEGIN
        readandrecon
    END
                                ;Read position file
    widget_control,s.slice_w,get_uvalue=pos_name
                                ;Check if position file exists
                                ;Check to see if a position file
                                ;exists for the current slice

    widget_control,s.read_w,get_uvalue=new_dir
    cd,new_dir
    spawn,'if(-r '+pos_name+') echo 1',foo
    IF foo(0) EQ 1 THEN BEGIN
        restore, FILE=pos_name
        widget_control,s.save_ids(1),sensitive=1 ;Save Postions
        IF version EQ 4 THEN positions = rotate(positions,5)
        init_mets
        widget_control,s.save_ids(1),sensitive=1 ;Save Positions
        widget_control,s.save_ids(4),sensitive=1 ;Save Positions
        widget_control,s.restore_ids(2),sensitive=1 ;Save Positions
        widget_control,s.restore_ids(3),sensitive=1 ;Save Positions
    ENDIF ELSE BEGIN
        text='No position file exists for requested slice'
        report_error,text
    ENDELSE
ENDELSE

END
