;This program reads a .roi file.
;REVISION HISTORY
; 981009 ASB Removed code from analyze_roi.

pro restore_roi
COMMON defroi
COMMON initcsi
                                ; Change back to old directory
widget_control,s.read_w,get_uvalue=old_dir
spawn,'pwd',new_dir
cd,old_dir
                                ;Read file
filename=pickfile(filter='*.roi')
;Change to directory of last file read            
;            spawn,'set foo = "'+filename+'";echo $foo:h',new_dir

;            cd,new_dir(0)
IF filename EQ '' THEN RETURN   ;Do nothing if no file was chosen
openr,unit,filename,/get
thresh=fix(0)
nn=long(0)
readu,unit,thresh
readu,unit,nn
IF bsflag THEN BEGIN
    byteorder,thresh
    byteorder,nn,/lswap
ENDIF
subs=lonarr(nn)
readu,unit,subs
IF bsflag THEN byteorder,subs,/lswap
free_lun,unit
;Update widgets
widget_control,s.thresh_w,set_value=thresh
widget_control,s.subs,get_uvalue=t
IF total(t) NE -1 THEN subs=[t,subs] ;concatenate rois
widget_control,s.subs,set_uvalue=subs
asb_defroi_nmode,/old
; Change to new_dir
cd,new_dir(0)

END
