;This program writes the values for every pixel in an roi.
pro seg_roi,event
COMMON seg
COMMON posdata
COMMON roistats
COMMON defroi
COMMON mets
COMMON defaults
COMMON segfile,segfile,apend,base_w,message_w,new_name_w,new_name1_w,old_name_w,$
  buttons_w,done_w
COMMON initcsi

;Make sure sensitivity maps exist
IF seg_stat(1) EQ 0 THEN mk_sens_maps

;Get roi
;t32 contains a list of pixels in the roi
IF t32(0) EQ -1 THEN RETURN

;Only include pixels in roi
IF n_elements(naa) EQ 0 THEN sumpeaks
naa1=naa(t32)
cho1=cho(t32)
cre1=cre(t32)
white=slab_maps(*,*,0,cur_slice-1)
white=white(t32)
grey=slab_maps(*,*,1,cur_slice-1)
grey=grey(t32)
csf=slab_maps(*,*,2,cur_slice-1)
csf=csf(t32)
file='seg_data'+strtrim(string(cur_slice),2)

;Get name of segfile
name_segfile
widget_control,s.read_w,get_uvalue=old_dir

;write metabolite values in segfile(0)
openu,unit,old_dir+'/'+segfile(0),/get,/append
FOR k=0,n_elements(t32)-1 DO BEGIN
x=t32(k) mod 32
y=t32(k)/32
printf,unit,naa1(k),cho1(k),cre1(k),white(k),grey(k),csf(k),x,y,format='(6f7.2,2i)'
ENDFOR
free_lun,unit

;write binwidth in segfile(1)
openu,unit,old_dir+'/'+segfile(1),/get,/append
printf,unit,binwidth
free_lun,unit

;write roi in segfile(2)
openu,unit,old_dir+'/'+segfile(2),/get,/append
widget_control,s.thresh_w,get_value=thresh
widget_control,s.subs,get_uvalue=subs
writeu,unit,thresh
nn=n_elements(subs)
writeu,unit,nn
writeu,unit,subs

free_lun,unit

END
