#include <stdio.h>
#include <math.h>
long sumpeaks(argc,argv)
     int argc;
     void *argv[];
{
/* Declare variables */
  short *ir;
  int *pos,*sz;
  float *offset,*data,*mets;

  short pt,cho2,cre1;
  int ii,jj,kk;

/* get arguments */
  data=(float *) argv[0];
  sz=(int *) argv[1];
  pos=(int *) argv[2];
  offset=(float *) argv[3];
  ir=(short *) argv[4];
  mets=(float *) argv[5];
  
/* Do numerical integration */
  for(jj=0;jj<sz[3];jj++) /* Loop over y-coordinate */
    for(ii=0;ii<sz[2];ii++){ /* Loop over x-coordinate */
      if((pt=*(pos+ii+jj*sz[2])) != -1){
	cho2=pt+offset[1]+*ir;
	cre1=pt+offset[2]-*ir;
	if(cho2 > cre1){
	  cho2=pt+(offset[1]+offset[2])/2;
	  cre1=cho2+1;
	}
      }
      for(kk=pt-*ir;kk<=pt+*ir;kk++){
	/*naa*/
	*(mets+ii+jj*sz[2])+=*(data+kk+sz[1]*(ii+sz[2]*jj));
	/* lac */
	*(mets+ii+jj*sz[2]+3*sz[2]*sz[3])+=*(data+kk+(int)offset[2]+sz[1]*(ii+sz[2]*jj));
	/* inos */
	*(mets+ii+jj*sz[2]+4*sz[2]*sz[3])+=*(data+kk+(int)offset[3]+sz[1]*(ii+sz[2]*jj));
      }
      for(kk=pt-*ir+offset[0];kk<cho2;kk++)
	*(mets+ii+jj*sz[2])+=*(data+kk+sz[1]*(ii+sz[2]*jj));/*cho*/
      for(kk=cre1;kk<pt+*ir+offset[1];kk++)
	  *(mets+ii+jj*sz[2])+=*(data+kk+sz[1]*(ii+sz[2]*jj));/*naa*/
    }
}
