function read_epi_header, fname

on_error, 2
on_ioerror, cant_read_file

get_lun, unit
openr, unit, fname

readf, unit, np
np=fix(np)
readf, unit, nv
nv=fix(nv)
readf, unit, ns
ns=fix(ns)
readf, unit, num_ints
num_ints=fix(num_ints)
readf, unit, num_images
num_images=fix(num_images)
readf, unit, num_dels
num_dels=fix(num_dels)
readf, unit, lro
readf, unit, lpe
readf, unit, thk
readf, unit, plane
plane=fix(plane)
readf, unit, psi
readf, unit, phi
readf, unit, theta

pss=fltarr(ns)
for i=0, ns-1 do begin
  readf, unit, temp_var
  pss(i)=temp_var
endfor

close, unit
free_lun, unit

out_dat={np:fix(0), nv:fix(0), ns:fix(0), num_ints:fix(num_ints), $
  num_images:fix(0), num_dels:fix(0), lro:float(0), lpe:float(0), $
  thk:float(0), plane:fix(0), psi:float(0), phi:float(0), theta:float(0), $
  pss:fltarr(ns), err:fix(0)}

out_dat.np=np
out_dat.nv=nv
out_dat.ns=ns
out_dat.num_ints=num_ints
out_dat.num_images=num_images
out_dat.num_dels=num_dels
out_dat.lro=lro
out_dat.lpe=lpe
out_dat.thk=thk
out_dat.plane=plane
out_dat.psi=psi
out_dat.phi=phi
out_dat.theta=theta
out_dat.pss=pss
out_dat.err=1

return, out_dat

cant_read_file:
print, "Error: unable to read file "+fname
out_dat={err:fix(0)}
out_dat.err=-1
return, out_dat

end
