function read_mac_slices

on_error, 2
on_ioerror, cant_read_file

ans=string(0)
print, format='($, "Directory containing files ")'
read, ans
dir=ans

ans=string(0)
print, format='($, "file stem ")'
read, ans
fstem=ans

ans=string(0)
print, format='($, "number of slices ")'
read, ans
nslices=fix(ans)

fname=dir+'/sl01.'+fstem+'.001'
tmp_im=read_mac_file(fname)

dims=size(tmp_im)

big_arr=intarr(dims(1), dims(2), nslices)

big_arr(*,*,0)=tmp_im

for i=1, nslices-1 do begin
  sl_ext='sl0'+strtrim(string(i+1), 2)+'.'
  if (i ge 9) then sl_ext='sl'+strtrim(string(i+1), 2)+'.'
  fname=dir+'/'+sl_ext+fstem+'.001'
  big_arr(*,*,i)=read_mac_file(fname)
endfor

for i=0, nslices-1 do begin
  tvscl, rebin(big_arr(*,*,i), 128, 128), i
endfor

return, big_arr

cant_read_file:
print, "Error: problem reading file "+fname
return, -1

end
