pro structural_recon

ans=string(0)
print, format='($, "Input file name ")'
read, ans
fname=ans(0)
; fname='/users1/peterj/data/cat_Wed_13_Aug_1997/series_5/acqfil/fid'

ans=string(0)
print, format='($, "Number of slices ")'
read, ans
n_slices=fix(ans(0))

in_arr=read_varian_bin_data(fname)

dim0=256
dim1=128

out_im=lonarr(2,dim0,dim1,n_slices)

for i=0, dim1-1 do begin
  for j=0, n_slices-1 do begin
    out_im(*,*,i,j)=reform(in_arr(*,i*n_slices+j), 2, dim0)
  endfor
endfor

cm_out_im=complexarr(dim0, dim0, n_slices)

for j=0, n_slices-1 do begin
  tmp_im=reform(complex(out_im(0,*,*,j), out_im(1,*,*,j)))
  tmp_im=tmp_im-total(tmp_im(dim0-1,*))/dim1
  cm_out_im(*,dim0/2-dim1/2:dim0/2+dim1/2-1,j)=tmp_im
  tvscl, abs(shift(fft(shift(cm_out_im(*,*,j), dim0/2, dim0/2),1),dim0/2, dim0/2)), j
endfor

end
