pro view_epi_k_space, out_dir, out_fstem
 
on_error, 2
verbose=1

ref_file=out_dir+'/ref.fid/fid'
data_file=out_dir+'/dat.fid/fid'

acq_params=read_epi_header(data_file+'.header')

if (acq_params.err eq -1) then goto, break_out

npoints=acq_params.np
nviews=acq_params.nv
nslices=acq_params.ns
nints=acq_params.num_ints
ntpts=acq_params.num_images*acq_params.num_dels

tmp_arr=read_varian_bin_data(ref_file)
ref_arr=varian_bin_to_epi(tmp_arr,npoints,nviews,nslices,nints,1)

tmp_arr=read_varian_bin_data(data_file) 
data_arr=varian_bin_to_epi(tmp_arr,npoints,nviews,nslices,nints,ntpts)

tvscl, data_arr

if (ntpts eq 1) then wait, 6

break_out:

end
