;=============================================================================
function attempt_read, fname
;=============================================================================

on_ioerror, cant_read_files
on_error, 2

get_lun, unit
openr, unit, fname
close, unit
free_lun, unit

return, 1

cant_read_files:
return, -1

end

;=============================================================================
pro write_bin, in_arr
;=============================================================================

if (n_elements(in_arr) lt 1) then begin
  print, "Error, no input array was provided..."
  goto, end_file
endif

fname=''
print, format='($, "Enter save filename")'
read, fname

if (attempt_read(fname) ne 1) then begin
  get_lun, unit
  openw, unit, fname
  writeu, unit, in_arr
  close, unit
  free_lun, unit
endif else begin
  print, "Error: file "+fname+" already exists..."
endelse

end_file:

end
