#ifndef LINT
static char SCCSid[] = "@(#)s2pul.c 11.1 05/07/96 Copyright (c) 1991-1996 Varian Assoc.,Inc. All Rights Reserved";
#endif

/*  set_freq - standard two-pulse sequence */

#include <standard.h>

pulsesequence()
{

   if (te/2 < 1.5*pw) {
     printf("te too short. Min te = %f ms\n",3.0*pw*1000);
     abort(1);
   }

   /* equilibrium period */
   status(A);
   sp4off();
   delay(tr);

   /* --- tau delay --- */
   status(B);

   /* --- observe period --- */
   status(C);
   sp4on();
   pulse(pw,oph);
   sp4off();

   delay(te/2.0-1.5*pw);

   sp4on();
   pulse(2.0*pw,oph);
   sp4off();

   delay(te/2.0-pw);

   acquire(np, 1.0/sw);
}
