pro make_petable, n_lines, n_echoes, echo_num

if (n_elements(n_lines) eq 0) then begin
  print, format='($, "Enter total number of lines")'
  read, n_lines

  print, format='($, "Enter total number of echoes")'
  read, n_echoes

  print, format='($, "Enter echo number for k=0")'
  read, echo_num
endif

k_arr=intarr(n_echoes, n_lines/n_echoes)
for i=0, n_lines/n_echoes-1 do begin
  for j=0, n_echoes-1 do begin
    start_index=-n_lines/n_echoes/2+1+i
    if (i lt n_lines/n_echoes/2) then begin
      k_arr(j,i)=start_index-n_lines/n_echoes/2*j
    endif else begin
      k_arr(j,i)=start_index+n_lines/n_echoes/2*j
    endelse
  endfor
endfor

k_order=intarr(n_echoes)
for i=0, n_echoes-1 do begin
  if (i lt echo_num-1) then begin
    k_order(i)=n_echoes-1-i
  endif else begin
    k_order(i)=i-echo_num+1
  endelse
endfor

final_k_arr=k_arr
for i=0, n_echoes-1 do begin
  ; final_k_arr(k_order(i),*)=k_arr(i,*)
  final_k_arr(i,*)=k_arr(k_order(i),*)
endfor

amp_arr=rotate(indgen(n_echoes),2)#(intarr(n_lines/n_echoes)+1)

plot, final_k_arr, amp_arr, psym=1

get_lun, unit
openw, unit, 'tmp_petable'
printf, unit, 't1 ='
for i=0, n_lines/n_echoes-1 do begin
  printf, unit, final_k_arr(*,i)
endfor
free_lun, unit

print, 'petable written out as ./tmp_petable'

end
