#ifndef LINT
static char SCCSid[] = "@(#)s2pul.c 11.1 05/07/96 Copyright (c) 1991-1996 Varian Assoc.,Inc. All Rights Reserved";
#endif

/*  set_freq - standard two-pulse sequence */

#include <standard.h>

pulsesequence()
{
   /* equilibrium period */
   status(A);
   sp4off();
   delay(tr);

   /* --- tau delay --- */
   status(B);

   /* --- observe period --- */
   status(C);
   sp4on();
   delay(10.0e-6);  /* blanking delay when sp4 used */
   pulse(pw,oph);
   delay(10.0e-6);  /* blanking delay when sp4 used */
   sp4off();

   acquire(np, 1.0/sw);
}
