;This procedure handles events in polygon mode.
;Revision History
;09Aug96 ASB First SCCS version

pro dopolygon,ev
COMMON defroi

n = s.npts                      ; # of points in roi
x=ev.x 
y=ev.y
;Decode button states 
p2=ev.press AND 2
p4=ev.press AND 4

;the next command is redundant

IF (x LT 0) OR (y LT 0) OR $    ;within region?
  (x GE s.image_size(0)) OR (y GE s.image_size(1)) THEN RETURN


;Move cursor

move_cursors,ev,'DRAW_EVENT'

    
;Use middle button to remove a point
IF ((ev.press AND 2) NE 0) AND (n GT 0) THEN BEGIN ;button down
    asb_defroi_draw, -1         ;Erase old region
    widget_control, s.xy_pnts, get_uvalue=xy ;Get ROI array
    d = float(x-xy(0,0:n-1))^2 + float(y-xy(1,0:n-1))^2 ;Dist
    t = min(d, ipnt)            ;Closest...
    IF ipnt NE (n-1) THEN xy(0,ipnt) = xy(*,ipnt+1:*) ;Collapse
    s.npts = n-1
    widget_control, s.xy_pnts, set_uvalue=xy ;Save ROI array
    IF n GT 1 THEN BEGIN
        repair_windows,ev       ;erase cursors before drawing
        asb_defroi_draw, -1     ;Draw new region
        load_repair,ev          ;Update repair window
        draw_cursors,ev         ;Draw cursors
    ENDIF
    RETURN
ENDIF   

;Add a point if mouse is down
IF s.button AND 1 THEN BEGIN 
    widget_control, s.xy_pnts, get_uvalue=xy ;Get ROI array
                                ;initialize arrayif empty
    IF n_elements(xy) LE 1 THEN xy = intarr(2,100)   
                                ; Remove duplicates...   
    IF n GT 0 THEN IF x EQ xy(0,n-1) AND y EQ xy(1,n-1) THEN BEGIN
        widget_control, s.xy_pnts, set_uvalue=xy   
        RETURN
    END
    
    IF (n+1) GE n_elements(xy)/2 THEN xy = [[xy], [intarr(2,n)]] ;Extend array?
    
    xy(0,n) = x                 ;New point
    xy(1,n) = y
    n = n + 1
    s.npts = n
    widget_control, s.xy_pnts, set_uvalue=xy ;update UVALUE
    repair_windows,ev           ;erase cursors before drawing
    IF n GE 2 THEN BEGIN
print,'dopolygon:n=',n
        repair_windows,ev       ;erase cursors before drawing
        asb_defroi_draw, n-2    ;Draw the new segment
        load_repair,ev          ;Update repair window
        draw_cursors,ev         ;Draw cursors
    ENDIF
ENDIF

IF ((s.button AND 4) NE 0) THEN asb_defroi_nmode

END
