;This procedure handles events in rectangle mode.
;Revision History
;09Aug96 ASB First SCCS version

pro dorectangle,ev
COMMON defroi

n = s.npts                      ; # of points in roi
x=ev.x 
y=ev.y

;the next command is redundant
IF (x LT 0) OR (y LT 0) OR $    ;within region?
  (x GE s.image_size(0)) OR (y GE s.image_size(1)) THEN RETURN

IF ev.press AND 1 THEN BEGIN
    repair_windows,ev
    s.drag = [x,y]              ;start of drag operation
ENDIF

IF ev.release AND 1 THEN s.skip = 1

IF s.button AND 1 THEN BEGIN ;drag
    IF n GT 0 THEN asb_defroi_draw, -1 ;remove old
    t = s.drag
    n = 5
    xy = [[t], [x, t(1)], [x, y], [t(0), y], [t]]
    widget_control, s.xy_pnts, set_uvalue=xy ;restore uvalue
    s.npts = n
    asb_defroi_draw, -1
RETURN
ENDIF

move_cursors,ev,'WIDGET_DRAW'

IF ev.release EQ 4 THEN BEGIN
    repair_windows,ev
    asb_defroi_nmode
    load_repair,ev
    draw_cursors,ev
ENDIF

END
