; This program makes the metabolite statistics widgets
;Revision History
;09Aug96    ASB   first SCCS version
;05Sep96    ASB   Added code to read default file
;26May98    QIN   Added some buttons
;23Jul98    ASB   Changed code that handles noise widgets.
; 6Aug98    ASB   Changed code that handles storage of statistics.
; 2Mar99    ASB   Enlarged text windows.
;15Sep99    ASB   Moved initialization of title for window to common_list. 
;                 Added logic to suppress dsply of bin width when
;                 showing results of td analysis.
;25May00    ASB   Changed spacing for text.
pro mkroistats_event,event
COMMON roistats
COMMON defroi
COMMON defaults
CASE event.id OF
    name_w: widget_control,name_w,get_value=roiname

    width_w: BEGIN
        widget_control,width_w,get_value=binwidth
        asb_defroi_update
    END

    hide_w:BEGIN
        widget_control,stats_w,/destroy
;        IF count NE 0 THEN widget_control,s.but_ids(2),sensitive=1
    END
ENDCASE

END

pro mkroistats
COMMON defroi
COMMON noise
COMMON defaults
COMMON roistats
widget_control,s.tf_w,get_uvalue=flag ;Get mode (TD or FD)
maxlines=20
stats_w=widget_base(title=stattitles(flag),group_leader=s.read_w,col=1)
row1=widget_base(stats_w,row=1)
name_w=cw_field(row1,title='ROI file name: ',value=roiname,/return,xsize=10)
width_w=cw_field(row1,title='Bin width:     ',value=binwidth,$
                     /return,/float,xsize=8)
num_w = cw_field(row1,title='Points in ROI:',$
                 value=count,/return,xsize=8,/noedit,/int)
                 
roibase_w=widget_base(stats_w,column=1)
ctitles_w=widget_label(roibase_w,value=' '+stattitles(flag+2))

roivalues_w=widget_text(roibase_w,value=statstring2,ysize=2,xsize=76)
pixvalues_w=widget_text(roibase_w,value=statstring1,ysize=maxlines,xsize=76,$
                            /scroll)

hide_w=widget_button(stats_w, value="Hide",yoffset=140,xsize=150)
widget_control,width_w,map=1-flag
widget_control,stats_w,/realize
xmanager,'mkroistats',stats_w,/just

END
