 function rdsigna_seg,big=big,file=file,title=title,filter=filter,rfile=signa_file
;	program to read signa image file
;	choose file to read
IF keyword_set(file) THEN signa_file=file ELSE $
signa_file=pickfile(title=title,filter=filter)
IF strlen(signa_file) EQ 0 THEN RETURN,[-1]
;	open file
openr,unit,signa_file,/get

;IF file size is 65536, interpret as 256x256 byte array
spawn,'uname -r',system
system=strmid(system(0),0,1)
IF system EQ 5 THEN BEGIN
    spawn,'set foo = `/usr/ucb/ls -l '+signa_file+'`;echo $foo[4]',result
ENDIF ELSE BEGIN
    spawn,'set foo = `ls -l '+signa_file+'`;echo $foo[4]',result
ENDELSE


IF result(0) EQ '65536' THEN BEGIN
    signa_image=bytarr(256,256)
    readu,unit,signa_image
ENDIF ELSE BEGIN
;	read file and strip header
    IF keyword_set(big) THEN dummy = assoc(unit,intarr(512,512),7904)$
    ELSE dummy = assoc(unit,intarr(256,256),7904)
    signa_image=rotate(dummy(0),7)
;	close file and return
ENDELSE
free_lun,unit

IF n_elements(cd) NE 0 THEN BEGIN ; Change directory
    spawn,'set foo = "'+signa_file+'";echo $foo:h',new_dir
    cd,new_dir(0)
ENDIF
return,signa_image
end
