;   Mar. 10, 98  Qin The following line is removed since it crashes
;                    on Solaris System
;   !csi_dat = complex(0,0)
;   8 May 98 Qin Added code to display some header data in widgets.
;  20 Jul 98 ASB Changed code involving display of header info.
;                Deleted some commented out lines.
;  15 Sep 98 ASB Added COMMON initcsi and removed system variables.
;  20 Sep 98 ASB Removed keywords bin,no_dc,dummy_scans,and flag.
PRO ri6, filename, $
         mpcsi=mpcsi
COMMON defroi
COMMON initcsi
COMMON mrsidata

extension = '.mpcsi'
csi_file = filename+extension
;read_raw_header,csi_file
;*******  Prepare File for Reading   *******
raw_len = fid_len*2
nul_fid = intarr( raw_len )
raw_fid = intarr( raw_len )
get_lun,unit                    ;get logical unit number

print, 'Reading integer (16 bit) data.'
headlen=39940
;raw_header = fltarr(39940/4)

openr,unit,csi_file,/get        ;open file

index = indgen( fid_len ) * 2

                                ;*******   Read Raw Integer Data from File   *******

                                ;*** Clear Data Array ***
print, 'Zeroing data array...'

point_lun,unit,headlen
;readu, unit, raw_header         ;read header
readu, unit, raw_fid
print, 'Reading and converting datafile...'
print, format='( "+", ' + string(pe_dim(1)-2) + '("-"), "+" )'
ymax=float(pe_dim(1)-1.0)/2.0
xmax=float(pe_dim(0)-1.0)/2.0
idm1=0
idm2=0

FOR i = 0, raw_len-1 DO BEGIN
    nul_fid(i)=0
ENDFOR
; order decodings
d4 = fltarr(4)
d4(0)=4
d4(1)=2
d4(2)=1
d4(3)=3 

FOR j = 0, pe_dim(1)-1 DO BEGIN
    rady=(float(j)-ymax)*(float(j)-ymax)/(ymax*ymax)
    print, format='( $, "*" )'
    FOR i = 0, pe_dim(0)-1 DO BEGIN
        idm2=idm2+1
        radius=rady+((float(i)-xmax)*(float(i)-xmax)/(xmax*xmax))
        IF radius LT 1.01 THEN BEGIN
            for kk=0,d4(mpcsi-1)-1 do readu, unit, raw_fid
            idm1=idm1+1
            csi_dat( 0, i, j ) = complex( raw_fid(index), raw_fid(index+1) )
            for kk=0,3-d4(mpcsi-1) do readu, unit, raw_fid
        ENDIF
    ENDFOR                      ;i
ENDFOR                          ;j


frac=float(idm1)/float(idm2)
print
print, 'riks fraction =', frac
print, 'pe_dim(0),pe_dim(1),raw_len', pe_dim(0),pe_dim(1),raw_len 
print

free_lun,unit                   ;free logical unit number


;*******   Do DC Offset Subtraction   *******

IF  NOT keyword_set( no_dc ) THEN BEGIN
    print,  'Calculate DC Offset...'
    start = fid_len - 100
    stop = fid_len -1
    dc = total(csi_dat(start:stop,*,*))/n_elements(csi_dat(start:stop,*,*))
    
    print,  'DC Offset Correction...'
    FOR j = 0, pe_dim(1)-1 DO BEGIN
        rady=(float(j)-ymax)*(float(j)-ymax)/(ymax*ymax)
        FOR i = 0, pe_dim(0)-1 DO BEGIN
            radius=rady+((float(i)-xmax)*(float(i)-xmax)/(xmax*xmax))
            IF radius LT 1.01 THEN BEGIN
                csi_dat(0, i, j) = csi_dat(0:fid_len-1, i, j) - dc
            ENDIF
        END
    END 
END       

RETURN

END
