pro show_sense,x,y
COMMON mri_act
COMMON roistats
COMMON seg
FOR window=0,2 DO BEGIN
    IF n_elements(x) EQ 0 THEN BEGIN ;ROI
        CASE imtype(window) OF
            -3: BEGIN           ;slab sensitivity map
                class=nclass(window)-1
                slab=nsl(window,0)-1
                dum=(slab_maps(*,*,class,slab))(t32)
                nn=n_elements(dum)
                value=100*total(dum)/nn
                widget_control,txt_w(window),set_value=value
            END
            -2: BEGIN           ;slice sensitivity map
                class=nclass(window)-1
                slice=nsl(window,1)-1
                dum=(slice_maps(*,*,class,slice))(t32)
                nn=n_elements(dum)
                value=100*total(dum)/nn
                widget_control,txt_w(window),set_value=value
            END
            ELSE:
        ENDCASE
    ENDIF ELSE BEGIN
        CASE imtype(window) OF
            -3: BEGIN           ;slab sensitivity map
                class=nclass(window)-1
                slab=nsl(window,0)-1
                dum=100*(slab_maps(*,*,class,slab))(x,y)
                widget_control,txt_w(window),set_value=dum
            END
            -2: BEGIN           ;slice sensitivity map
                class=nclass(window)-1
                slice=nsl(window,1)-1
                dum=100*(slice_maps(*,*,class,slice))(x,y)
                widget_control,txt_w(window),set_value=dum
            END
            ELSE:
        ENDCASE
    ENDELSE
ENDFOR

END
