void
shiftc(databuf, nn, ndim)
    float          databuf[];
	int nn[], ndim;

/* subroutine for cyclicly shifting the fourier transformed data */

{

    int
                   i,
                   j,
                   flag,
                   k,
                   l,
                   m;
    float         *temp;
    long           il,
                   maxdata = 1,
                   acc[10],
                   itotal;
    int            index[10];

    for (i = 0; i < ndim; i++)
    {
	maxdata *= nn[i];
	acc[i] = maxdata;
    }
    temp = (float *) malloc((unsigned) (maxdata * 2 * sizeof(float)));

    itotal = 0;
    for (il = 0; il < maxdata; il++)
    {
/* calculate the individual indices */
	for (i = 0; i < ndim; i++)
	    index[i] = (i == 0) ? il % nn[i] : (il / acc[i - 1]) % nn[i];
/* calculate the shifted individual indices */
	for (i = 0; i < ndim; i++)
	    index[i] = (index[i] + nn[i] / 2) % nn[i];
/* convert to single index representation */
	itotal = index[0];
	for (i = 1; i < ndim; i++)
	    itotal += index[i] * acc[i - 1];
		itotal *= 2;
/* shuffling elments */
	*(temp + itotal) = databuf[2*il];
	*(temp + itotal + 1) = databuf[2*il + 1];
    }
/* return the data */
    for (il = 0; il < 2 * maxdata; il++)
	databuf[il] = *(temp + il);
	free((char *) temp);
}				  /* end of shiftc */
