function read_run, run_no, sl_no

dir='run'+strtrim(string(run_no), 2)
fname='run'+strtrim(string(run_no), 2)

num_t_pts=80
dim0=64
dim1=64

sl_ext='sl0'+strtrim(string(sl_no), 2)+'.'
if (sl_no gt 9) then sl_ext='sl'+strtrim(string(sl_no), 2)+'.'

mac_head=intarr(4)
temp_im=intarr(dim0, dim1)
im=fltarr(dim0, dim1, num_t_pts)

print, 'reading run '+strtrim(string(run_no),2)
for i=0, num_t_pts-1 do begin
  t_ext='.00'+strtrim(string(i+1), 2)
  if (i ge 9) then t_ext='.0'+strtrim(string(i+1), 2)
  if (i ge 99) then t_ext='.'+strtrim(string(i+1), 2)
  get_lun, unit
  openr, unit, dir+'/'+sl_ext+fname+t_ext
  readu, unit, mac_head, temp_im
  close, unit
  free_lun, unit
  im(*,*,i)=temp_im
endfor

return, im

end
