pro write_data, in_arr, sl_no

dims=size(in_arr)

dim0=dims(1)
dim1=dims(2)
n_ims=dims(3)

fname='av'

sl_ext='sl0'+strtrim(string(sl_no), 2)+'.'
if (sl_no ge 9) then sl_ext='sl'+strtrim(string(sl_no), 2)+'.'
mac_header=[32767, 0, fix(dim0), fix(dim1)]

print, "writing data..."

for i=0, n_ims-1 do begin
  t_ext='.00'+strtrim(string(i+1),2)
  if (i ge 9) then t_ext='.0'+strtrim(string(i+1),2)
  if (i ge 99) then t_ext='.'+strtrim(string(i+1),2)
  get_lun, unit
  openw, unit, sl_ext+fname+t_ext
  writeu, unit, mac_header, fix(in_arr(*,*,i))
  close, unit
  free_lun, unit
endfor

end
