pro recon_gd_perf

ser_name=string(0)
print, format='($, "Enter the series name to recon")'
read, ser_name

im=rd_varian_bin(ser_name+'/fid')
np=get_varian_par(ser_name,'np')
np=np/2
nv=get_varian_par(ser_name,'nv')
image=get_varian_par(ser_name,'image')

n_t_pts=n_elements(image)

im=reform(im,np,n_t_pts,nv)
im_ft=fltarr(np,nv,n_t_pts)

for i=0, n_t_pts-1 do begin
  im_ft(*,*,i)=abs(shift(fft(shift(reform(im(*,i,*)),np/2,nv/2),1),np/2,nv/2))
endfor

im_ft=im_ft(np/4:3*np/4-1,*,*)
for i=0, n_t_pts-1 do begin
  im_ft(*,*,i)=rotate(im_ft(*,*,i),3)
endfor

get_lun, unit
openw, unit, ser_name+'/im_data.img'
writeu, unit, im_ft
close, unit
free_lun, unit

dim0=np
dim1=nv
dim2=1
dim3=n_t_pts
write_analyze_header, dim0, dim1, dim2, dim3, ser_name, ser_name+'/im_data.hdr'

end
