function ref_phase_calc, in_ref, odd_k, even_k

; typically, odd_k=63, even_k=64
dims=size(in_ref)
dim0=dims(1)
dim1=dims(2)
slices=dims(3)
if (dims(0) eq 2) then slices=1

phase_coeffs=fltarr(slices, 2)

for sl_no=0, slices-1 do begin
  odd_line=in_ref(*,odd_k,sl_no)
  even_line=in_ref(*,even_k,sl_no)

  phase_coeffs(sl_no,*)=ref_phase_fit(odd_line, even_line)
endfor

return, phase_coeffs

end
