pro write_analyze_header, dim0, dim1, dim2, dim3, fstem, fname

sizeof_hdr=long(348)
dummy1a=bytarr(28)
extents=long(16384)
dummy1b=bytarr(4)

dim=intarr(8)
if (dim3 eq 1) then begin
  dim(0)=fix(3)
endif else begin
  dim(0)=fix(4)
endelse
dim(1)=fix(dim0)
dim(2)=fix(dim1)
dim(3)=fix(dim2)
dim(4)=fix(dim3)

dummy2=bytarr(14)

data_type=fix(0)
bitpix=fix(0)

if (dims(dim(0)+1) eq 1) then begin
  data_type=2
  bitpix=8
endif
if (dims(dim(0)+1) eq 2) then begin
  data_type=4
  bitpix=16
endif
if (dims(dim(0)+1) eq 3) then begin
  data_type=8
  bitpix=32
endif
if (dims(dim(0)+1) eq 4) then begin
  data_type=16
  bitpix=32
endif
if (dims(dim(0)+1) eq 5) then begin
  data_type=64
  bitpix=64
endif
if (dims(dim(0)+1) eq 6) then begin
  data_type=32
  bitpix=64
endif

dummy3=bytarr(2)
pixdim=fltarr(8)

lro=get_varian_par(fstem,'lro')
lro=lro/2
lpe=get_varian_par(fstem,'lpe')
np=get_varian_par(fstem,'np')
thk=get_varian_par(fstem,'thk')

pixdim(1)=lro*10.0/(np/2.0)
pixdim(2)=lpe*10.0/(np/2.0)
pixdim(3)=thk
dummy4=bytarr(240)

get_lun, unit
openw, unit, fname
writeu, unit, sizeof_hdr, dummy1a, extents, dummy1b
writeu, unit, dim, dummy2, data_type, bitpix, dummy3, pixdim, dummy4
close, unit
free_lun, unit

end
