pro execute_load

common file_info, directory, filename, filename2, map_dim0, map_dim1, $
       map_slices, map2_dim0, map2_dim1, map2_slices, file_type, smooth_val
common misc_flags, data_loaded_flag, field_unwrapped_flag
common groupleader, base
common buttons, roi_button, cal_button
common load_bases, load_base, file_format_button
common sys_names_info, sys_names, curr_sys
common field_map_data, phsmap, allimg, fieldmap, strucmap


data_loaded_flag=0
done_flag=0
load_ok_flag=0
; check to see if first file is there
; if analyse format alter filename to look for
if (file_type eq 4) then begin
  tmp_filename=filename+'.header'
endif else begin
  tmp_filename=filename
endelse
spawn, './find_file.scr '+directory+'/'+tmp_filename, $
roi_def_flag
if (fix(roi_def_flag(0)) eq 1) then begin
  load_ok_flag=1
endif else begin
  load_ok_flag=0
  print, '^GError : File '+directory+'/'+tmp_filename+ $
  ' not found'
endelse
err=-1
if (load_ok_flag eq 1) then begin
  print, "loading base field map data..."
  erase
  data_loaded_flag=1
  print, "reading in "+directory+"/"+filename+"..."
  case file_type of
    0: begin ; Omega data
      err=read_omega_data(directory+'/'+filename,smooth_val)
      end
    1: begin ; Varian data
      err=read_varian_data(directory, filename, smooth_val)
      end
    2: begin ; Signa data
      err=read_signa_data(directory, filename, smooth_val)
      end
    3: begin ; Bruker data
      err=read_bruker_data(directory+'/'+filename,smooth_val)
      end
    4: begin ; Analyse data
      err=read_analyse_data(directory, filename,smooth_val)
      end
    else: begin
      print, "^GUnrecognised file format... Cannot read file"
      print, "Check sys_names array in read_sys_names.pro"
      data_loaded_flag=0
      end
  endcase
endif
if (err ne 0) then begin
  print, "^GError: Can't read input file..."
  data_loaded_flag=0
endif else begin
  fieldmap=0
endelse

return

end


