pro mask

; mask with specified mask file

common share1, dim0, dim1, dim2, diml, dimh, stindex, numfiles, $
           allmagimg,allmagmax,allmagmin
common roi_def_info, thresh_val, erosion_val, start_im, stop_im, draw_im,$
   num_slices, drawn_roi, dilation_val, edit_im, nudge_im
common shareroi, roimap, topb, botb, lefb, rightb
common misc_flags, data_loaded_flag, field_unwrapped_flag
common mask, mask_fname

spawn, './find_file.scr '+mask_fname, roi_def_flag
if (fix(roi_def_flag(0)) eq 1) then begin
  ;read in mask
  brainmap=intarr(dim0,dim1,dim2)
  get_lun, unit
  openr, unit, mask_fname
  readu, unit, brainmap
  close, unit
  free_lun, unit

  ;superimpose onto roimap
  roimap=(roimap eq 1) and (brainmap eq 1)

  ;as using mask of brain set other values accordingly
  erosion_val=0
  dilation_val=0

  print, 'Mask has been read in.'
  data_loaded_flag=1
  fieldmap=0
endif else begin
  print, '^GError : File '+mask_fname+' not found'
  print, "^GError: Can't read input file..."
  data_loaded_flag=0
endelse

return

end


