pro read_sys_names

common sys_names_info, sys_names, curr_sys

num_nmr_systems=5
sys_names=strarr(num_nmr_systems, 4)
curr_sys=3 ; default system index (unless overridden in sys_defaults.pro)

; entry 0 is the descriptive name of the system
; entry 1 is the index of the data entry algorithm. Current algorithms are:
;   0 =  read_omega_data.pro
;   1 =  read_varian_data.pro
;   2 =  read_signa_data.pro
;   3 =  read_bruker_data.pro (number reserved, but algorithm not available)
;   4 =  read_analyse_data.pro
; entry 2 is the descriptive name sent to calc_shims.pro to read the correct
;     calibration table for the system.
; entry 3 indicates whether the output shim settings should be integer or
;     floating point.

sys_names(0,*)=['  4.7 T Varian  ', '1', 'inova47T', 'int']
sys_names(1,*)=['    4 T ANMR    ', '2', 'anmr', 'int']
sys_names(2,*)=['Oxford 3T (main)', '1', 'oxford3T_main', 'int']
sys_names(3,*)=['Oxford 3T (head)', '1', 'oxford3T_head', 'int']
sys_names(4,*)=['Analyse Format', '4', 'analyse', 'int']

end
