pro read_petable, fname

n_chars=strlen(fname)
sub_str=strmid(fname, 5, n_chars-4)
delim=strpos(sub_str, '_')
n_lines=fix(strmid(sub_str, 0, delim))
n_chars=strlen(sub_str)
sub_str=strmid(sub_str, delim+1, n_chars-delim)
delim=strpos(sub_str, '_')
n_echoes=fix(strmid(sub_str, 0, delim))

print, 'n_lines=', n_lines
print, 'n_echoes=', n_echoes

tmp_k=intarr(n_echoes)
k_arr=intarr(n_echoes, n_lines/n_echoes)
get_lun, unit
openr, unit, fname
line=string(0)
readf, unit, line
for i=0, n_lines/n_echoes-1 do begin
  readf, unit, tmp_k
  k_arr(*,i)=tmp_k
endfor
close, unit
free_lun, unit

amp_arr=rotate(indgen(n_echoes),2)#(intarr(n_lines/n_echoes)+1)

plot, k_arr, amp_arr, psym=1

end
