function plot_waveform, filename

on_ioerror, cant_read

amplitude_arr=0
duration_arr=long(0)

get_lun, unit
openr, unit, filename
line=''
while (not eof(unit)) do begin
  readf, unit, line
  line_len=strlen(line)
  if (line_len gt 0) then begin
    space_pos=strpos(line,'  ',0)
    amplitude_val=fix(strmid(line,0,space_pos))
    duration_val=long(strmid(line,space_pos,line_len-1))
    amplitude_arr=[amplitude_arr, (intarr(duration_val)+1)*amplitude_val]
    duration_arr=[duration_arr, lindgen(duration_val)+max(duration_arr)+1]
  endif
end
close, unit
free_lun, unit

arr_length=n_elements(duration_arr)
if (arr_length gt 1) then begin
  amplitude_arr=amplitude_arr(1:arr_length-1)
  duration_arr=duration_arr(1:arr_length-1)
  plot, duration_arr*2.0e-3, amplitude_arr, yrange=[-32767, 32767]
  help, duration_arr
endif

stop

return, amplitude_arr

goto, the_end

cant_read:

print, "Error reading file "+filename

the_end:

end
