selective_inversion_pulse(codeint vslice)
{
  if(invlist<0)invlist=curlist++;
  position_offset_list(pss,gss3,ns,resto,OBSch,invlist,vslice);
  if(!strcmp(p3pat,"sech180"))obspower(tpwr3);
  else{
    if(rfmod[0]=='y'){
      getelem(t3,vslice,v12);
      power(v12,OBSch);
      getelem(t6,vslice,v12);    
    }
    else obspower(tpwr3);
  }
  
  obl_shapedgradient("","","gss3_up",pw_gss3,0.0,0.0,gss3,1,WAIT);
  if(rfmod[0]=='y') shapedvpulse(p3pat,p3,v12,v1,rof1,rof2);
  else shaped_pulse(p3pat,p3,v1,rof1,rof2);
  obl_shapedgradient("","","gss3_down",pw_gss3,0.0,0.0,gss3,1,WAIT);
  
  delay(pw_gss3);
  delay(p3);
  delay(pw_gss3);
}
nonselective_inversion_pulse()
{
  poffset(0.0,0.0);
  obspower(tpwr3);

  delay(pw_gss3);
  shaped_pulse(p3pat,p3,v1,rof1,rof2);
  delay(pw_gss3);
  
  obl_shapedgradient("","","gss3_up",pw_gss3,0.0,0.0,gss3,1,WAIT);
  delay(p3);
  obl_shapedgradient("","","gss3_down",pw_gss3,0.0,0.0,gss3,1,WAIT);
}
excitation_pulse(codeint vslice)
{
  if(exlist<0)exlist=curlist++;
  position_offset_list(pss,gss,ns,resto,OBSch,exlist,vslice);
  if(rfmod[0]=='y'){
    getelem(t1,vslice,v12);
    power(v12,OBSch);
    getelem(t6,vslice,v12);
  }
  else obspower(tpwr1);

  /* put out trigger on sp1 every spin excitation */
  sp1on();
  /* put out trigger on sp2 every volume */
  ifzero(v9);
    ifzero(v14);
       sp2on();
    endif(v14);
  endif(v9);

  obl_shapedgradient("","","gss",pw_gss,0.0,0.0,gss,1,NOWAIT);
  delay(fabs(gss)*grate+tep);
  if(rfmod[0]=='y') shapedvpulse(p1pat,p1,v12,v1,rof1,rof2);
  else shaped_pulse(p1pat,p1,v1,rof1,rof2);
  if(tep<fabs(gss)*grate)delay(fabs(gss)*grate-tep);        

  sp1off();
  sp2off();

  /* refocus pulse */
  obl_shapedgradient("","","gssr_up",pw_gssr,0.0,0.0,gssr,1,WAIT);
  delay(tref-pw_gssr);
  obl_shapedgradient("","","gssr_down",pw_gssr,0.0,0.0,gssr,1,WAIT);
}
/*
spinecho_pulse(codeint vslice)
{
  if(selist<0)selist=curlist++;
  position_offset_list(pss,gss2,ns,resto,OBSch,selist,vslice);
  if(rfmod[0]=='y'){
    getelem(t2,vslice,v12);
    power(v12,OBSch);
    getelem(t6,vslice,v12);    
  }
  else obspower(tpwr2);

  obl_shapedgradient("","","gss2",pw_gss2,0.0,0.0,gss2,1,NOWAIT);
  delay(fabs(gss2)*grate+tspoil+tep);
  if(rfmod[0]=='y') shapedvpulse(p2pat,p2,v12,v2,rof1,rof2);
  else shaped_pulse(p2pat,p2,v2,rof1,rof2);
  delay(fabs(gss2)*grate+tspoil-tep);
}
*/
spinecho_pulse(codeint vslice)
{
  double maxg;

  if(selist<0)selist=curlist++;
  position_offset_list(pss,gss2,ns,resto,OBSch,selist,vslice);
  if(rfmod[0]=='y'){
    getelem(t2,vslice,v12);
    power(v12,OBSch);
    getelem(t6,vslice,v12);    
  }
  else obspower(tpwr2);

  if(gss2>gcrush)maxg=gss2;
  else maxg=gcrush;

  obl_shapedgradient("","","gss2",pw_gss2,0.0,0.0,maxg,1,NOWAIT);
  delay(pw_gse_crush+tep);
  if(rfmod[0]=='y') shapedvpulse(p2pat,p2,v12,v2,rof1,rof2);
  else shaped_pulse(p2pat,p2,v2,rof1,rof2);
  delay(pw_gse_crush-tep);
}
fatsat_pulse()
{
  obspower(tpwr4);

  /* move the centre frequency to fat peak */
  obsoffset(resto-3.45*sfrq);
  shaped_pulse(p4pat,p4,v1,rof1,rof2);
  obl_shapedgradient("","gfat","",pw_gfat,0.0,gmax/2,0.0,1,WAIT);

  /* reset centre frequency back to water */
  obsoffset(resto);
}
navigator_acquire()
{
  obl_shapedgradient("gnav_r_up","","",pw_gnav_r,-1*gnav_r,0.0,0.0,1,WAIT);
  delay(tnav_r-pw_gnav_r);
  obl_shapedgradient("gnav_r_down","","",pw_gnav_r,-1*gnav_r,0.0,0.0,1,WAIT);

  obl_shapedgradient("gnav","","",2*pw_gnav+(np/2/sw),gnav,0.0,0.0,1,NOWAIT);
  delay(pw_gnav+tep);
  acquire(np,1.0/sw);
  
  if(pw_gnav>=tep) delay(pw_gnav-tep);

  obl_shapedgradient("gnav_r_up","","",pw_gnav_r,-1*gnav_r,0.0,0.0,1,WAIT);
  delay(tnav_r-pw_gnav_r);
  obl_shapedgradient("gnav_r_down","","",pw_gnav_r,-1*gnav_r,0.0,0.0,1,WAIT);
}
epi_gradients_and_acquire()
{
  int pt,rp,ftp,points;
  double last;
  
  double spe_tweak=1.0;
  double sgbd_tweak=1.0;
  double gbd_tweak=1.0;
  /*spe_tweak=getval("spe_tweak");*/
  /*sgbd_tweak=getval("sgbd_tweak");*/
  /*gbd_tweak=getval("gbd_tweak");*/

  /* phase and read gradient dephaser */
  phase_encode_shapedgradient("gdephase_up",pw_gror,gror,gbd*gbd_tweak,0.0,sgbd*sgbd_tweak,
			      v9,num_ints,psi,phi,theta,v7,WAIT,0);
  delay(tref2-pw_gror);
  phase_encode_shapedgradient("gdephase_down",pw_gror,gror,gbd,0.0,sgbd*sgbd_tweak,
			      v9,num_ints,psi,phi,theta,v7,WAIT,1);
  
  /* epi gradients */
  obl_shapedgradient("epi_read","epi_phase","",(2.0*pw_gro+echo_del+at)*etl,
		     gro,sgbpe*spe_tweak,0.0,1,NOWAIT);

  obsoffset(resto);

  delay(tep);
  
  /* sets v5 to etl and incs v6 up to it */ 
  /* peloop(seqcon[2],etl,v5,v6); */
  initval(etl,v5);
  assign(v5,v6);
  starthardloop(v6);

  /* Acquire echo */
  if(nonlinsamp[0]=='y') {

    points=np/2;
    last=samptime[0];
    
    for(rp=1;rp<points;rp++){
    	if(samptime[rp]==last)break;
    	last=samptime[rp];
    }

    delay(sampwait);
    for(pt=0;pt<rp;pt++){
      acquire(2.0,samptime[pt]);
    }
    
    ftp=points-2*rp;
    acquire((double)ftp*2,last);
    
    for(pt=rp+ftp;pt<points;pt++){
      acquire(2.0,samptime[pt]);
    }
    delay(samptime[points]+episwing+echo_del);
  }
  else {
    delay(pw_gro + episwing);
    acquire(np,1.0/sw);
    delay(pw_gro + echo_del);
  }

  /* increment the peloop counter v6 */
  /* endpeloop(seqcon[2],v6); */ 
  endhardloop();
}
epi_gradients_no_acquire()
{  
  double spe_tweak=1.0;
  double sgbd_tweak=1.0;
  double gbd_tweak=1.0;

  /* phase and read gradient dephaser */
  phase_encode_shapedgradient("gdephase_up",pw_gror,gror,gbd*gbd_tweak,0.0,sgbd*sgbd_tweak,
			      v9,num_ints,psi,phi,theta,v7,WAIT,0);
  delay(tref2-pw_gror);
  phase_encode_shapedgradient("gdephase_down",pw_gror,gror,gbd,0.0,sgbd*sgbd_tweak,
			      v9,num_ints,psi,phi,theta,v7,WAIT,1);
  
  /* epi gradients */
  obl_shapedgradient("epi_read","epi_phase","",(2.0*pw_gro+echo_del+at)*etl,
		     gro,sgbpe*spe_tweak,0.0,1,NOWAIT);

  delay(tep);
  delay(etl*(2*pw_gro + episwing + echo_del + np/2/sw));
}
epi_gradients_and_acquire_nodephase(double readscale)
{
  int pt,rp,ftp,points;
  double last;
  
  /* epi gradients */
  if(readscale<0){
    obl_shapedgradient("epi_read_rev","epi_phase","",(2.0*pw_gro+echo_del+at)*etl,
		       gro*readscale,sgbpe,0.0,1,NOWAIT);
  }
  else {
    obl_shapedgradient("epi_read","epi_phase","",(2.0*pw_gro+echo_del+at)*etl,
		       gro*readscale,sgbpe,0.0,1,NOWAIT);
  }
  obsoffset(resto);

  delay(tep);
  
  initval(etl,v5);
  assign(v5,v6);
  starthardloop(v6);

  /* Acquire echo */
  if(nonlinsamp[0]=='y') {

    points=np/2;
    last=samptime[0];
    
    for(rp=1;rp<points;rp++){
    	if(samptime[rp]==last)break;
    	last=samptime[rp];
    }

    delay(sampwait);
    for(pt=0;pt<rp;pt++){
      acquire(2.0,samptime[pt]);
    }
    
    ftp=points-2*rp;
    acquire((double)ftp*2,last);
    
    for(pt=rp+ftp;pt<points;pt++){
      acquire(2.0,samptime[pt]);
    }
    delay(samptime[points]+episwing+echo_del);
  }
  else {
    delay(pw_gro + episwing);
    acquire(np,1.0/sw);
    delay(pw_gro + echo_del);
  }

  endhardloop();
}
epi_multiecho_dephase()
{
  double pe;
  
  pe = gbd - ((num_ints-1)*sgbd/2);
		 
  obl_shapedgradient("","gdephase_up","",pw_gror,0.0,pe,0.0,1,WAIT);
  delay(tref2*2-pw_gror);
  obl_shapedgradient("","gdephase_down","",pw_gror,0.0,pe,0.0,1,WAIT);
}
crusher_gradients()
{
  if ((fabs(gcrush) > 0.0) && (tcrush > 0.0)) {
    obl_shapedgradient("gcrush_up","gcrush_up","gcrush_up",pw_gcrush,
		       gcrush,gcrush,gcrush,1,WAIT);
    delay(tcrush-pw_gcrush);
    obl_shapedgradient("gcrush_down","gcrush_down","gcrush_down",
		       pw_gcrush,gcrush,gcrush,gcrush,1,WAIT);
  }
}
