#include <stdio.h>

#define XGRADPROPDELAY  50.0e-6
#define YGRADPROPDELAY  55.0e-6
#define ZGRADPROPDELAY  60.0e-6
#define GRAD_AP_SET_DELAY  0.5e-6

main()
{

    /* case x longer than or equal to y */
    if (XGRADPROPDELAY >= YGRADPROPDELAY) {
      /* and y longer than or equal to z */
      if (YGRADPROPDELAY >= ZGRADPROPDELAY) {
                                                      /* case X >= Y >= Z */
        printf("gradient('x',(int)(Gx_dac*xlevel));\n");
        if (XGRADPROPDELAY > YGRADPROPDELAY) {
          /* account for sync difference and allow 0.5us for AP set delay */
          printf("delay(%.10f)\n",XGRADPROPDELAY-YGRADPROPDELAY-GRAD_AP_SET_DELAY);
        }
        printf("gradient('y',(int)(Gy_dac*ylevel));\n");
        if (YGRADPROPDELAY > ZGRADPROPDELAY) {
          /* account for sync difference and allow 0.5us for AP set delay */
          printf("delay(%.10f)\n",YGRADPROPDELAY-ZGRADPROPDELAY-GRAD_AP_SET_DELAY);
        }
        printf("gradient('z',(int)(Gz_dac*zlevel));\n");
      } else {
        /* and x longer than or equal to z */
        if (XGRADPROPDELAY >= ZGRADPROPDELAY) {
                                                      /* case X >= Z > Y */
          printf("gradient('x',(int)(Gx_dac*xlevel));\n");
          if (XGRADPROPDELAY > ZGRADPROPDELAY) {
            /* account for sync difference and allow 0.5us for AP set delay */
            printf("delay(%.10f)\n",XGRADPROPDELAY-ZGRADPROPDELAY-GRAD_AP_SET_DELAY);
          }
          printf("gradient('z',(int)(Gz_dac*zlevel));\n");
          /* account for sync difference and allow 0.5us for AP set delay */
          printf("delay(%.10f)\n",ZGRADPROPDELAY-YGRADPROPDELAY-GRAD_AP_SET_DELAY);
          printf("gradient('y',(int)(Gy_dac*ylevel));\n");
        } else {
        /* and z longer than x */
                                                      /* case Z > X >= Y */
          printf("gradient('z',(int)(Gz_dac*zlevel));\n");
          /* account for sync difference and allow 0.5us for AP set delay */
          printf("delay(%.10f)\n",ZGRADPROPDELAY-XGRADPROPDELAY-GRAD_AP_SET_DELAY);
          printf("gradient('x',(int)(Gx_dac*xlevel));\n");
          if (XGRADPROPDELAY > YGRADPROPDELAY) {
            /* account for sync difference and allow 0.5us for AP set delay */
            printf("delay(%.10f)\n",XGRADPROPDELAY-YGRADPROPDELAY-GRAD_AP_SET_DELAY);
          }
          printf("gradient('y',(int)(Gy_dac*ylevel));\n");
        }
      }
    }

    /* case x shorter than y */
    if (XGRADPROPDELAY < YGRADPROPDELAY) {
      /* and x longer than or equal to z */
      if (XGRADPROPDELAY >= ZGRADPROPDELAY) {
                                                      /* case Y > X >= Z */
        printf("gradient('y',(int)(Gy_dac*ylevel));\n");
        /* account for sync difference and allow 0.5us for AP set delay */
        printf("delay(%.10f)\n",YGRADPROPDELAY-XGRADPROPDELAY-GRAD_AP_SET_DELAY);
        printf("gradient('x',(int)(Gx_dac*xlevel));\n");
        if (XGRADPROPDELAY > ZGRADPROPDELAY) {
          /* account for sync difference and allow 0.5us for AP set delay */
          printf("delay(%.10f)\n",XGRADPROPDELAY-ZGRADPROPDELAY-GRAD_AP_SET_DELAY);
        }
        printf("gradient('z',(int)(Gz_dac*zlevel));\n");
      } else {
        /* and z longer than or equal to y */
        if (ZGRADPROPDELAY >= YGRADPROPDELAY) {
                                                      /* case Z >= Y > X */
          printf("gradient('z',(int)(Gz_dac*zlevel));\n");
          if (ZGRADPROPDELAY > YGRADPROPDELAY) {
            /* account for sync difference and allow 0.5us for AP set delay */
            printf("delay(%.10f)\n",ZGRADPROPDELAY-YGRADPROPDELAY-GRAD_AP_SET_DELAY);
          }
          printf("gradient('y',(int)(Gy_dac*ylevel));\n");
          /* account for sync difference and allow 0.5us for AP set delay */
          printf("delay(%.10f)\n",YGRADPROPDELAY-XGRADPROPDELAY-GRAD_AP_SET_DELAY);
          printf("gradient('x',(int)(Gx_dac*xlevel));\n");
        } else {
        /* and y longer than z */
                                                      /* case Y > Z > X */
          printf("gradient('y',(int)(Gy_dac*ylevel));\n");
          /* account for sync difference and allow 0.5us for AP set delay */
          printf("delay(%.10f)\n",YGRADPROPDELAY-ZGRADPROPDELAY-GRAD_AP_SET_DELAY);
          printf("gradient('z',(int)(Gz_dac*zlevel));\n");
          /* account for sync difference and allow 0.5us for AP set delay */
          printf("delay(%.10f)\n",ZGRADPROPDELAY-XGRADPROPDELAY-GRAD_AP_SET_DELAY);
          printf("gradient('x',(int)(Gx_dac*xlevel));\n");
        }
      }
    }
}

